> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all files within an editing session



## OpenAPI

````yaml /api-reference/4.2/service-webapps-appkit.json get /webapps/type/appkit/configs/{id}/edits/{sessionId}/files
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service webapps-appkit
servers:
  - url: /api/apollo/
security: []
tags:
  - name: webapps-appkit
paths:
  /webapps/type/appkit/configs/{id}/edits/{sessionId}/files:
    get:
      tags:
        - 4.2 Webapps Appkit API
      summary: List all files within an editing session
      operationId: listFiles
      parameters:
        - name: id
          in: path
          description: Application ID
          required: true
          schema:
            type: string
        - name: sessionId
          in: path
          description: Session ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/webappAppkitBlob'
components:
  schemas:
    webappAppkitBlob:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        path:
          type: string
          readOnly: true
        dir:
          type: string
          readOnly: true
        filename:
          type: string
          readOnly: true
        contentType:
          type: string
          readOnly: true
        size:
          type: integer
          format: int64
          readOnly: true
        modifiedTime:
          type: string
          format: date-time
          readOnly: true
        version:
          type: integer
          format: int64
          readOnly: true
        md5:
          type: string
          readOnly: true
        metadata:
          type: object
          readOnly: true
          additionalProperties:
            type: string

````